package cz.vutbr.feec.session.gnp;

import java.net.InetAddress;

public class Host extends LandmarkInfo {

	private float computedLat = Float.NaN;
	private float computedLng = Float.NaN;
	
	public Host(boolean fixed, InetAddress localHost, float lat, float lng) {
		super(fixed, localHost, lat, lng, -1);
	}

	public void setComputedLatitude(float computedLat) {
		this.computedLat = computedLat;
	}

	public void setComputedLongitude(float computedLng) {
		this.computedLng = computedLng;
	}

	public float getComputedLatitude() {
		return computedLat;
	}

	public float getComputedLongitude() {
		return computedLng;
	}

}
